#!/bin/bash
DIR=$(pwd)

docker build ../../../Tools/UCLI -t ucli

for FILE in $(find . -name "*.claim.json"); do # Not recommended, will break on whitespace
    echo "Processing $FILE"
    NAME=$(python -c "print('$FILE'[2:].split('.')[0])")
    echo "Signing $NAME"
    docker run -it -v $DIR:/claims ucli sign /claims/$NAME.claim.json > $DIR/$NAME.signed.json
    echo "Signed $NAME"
    CLAIM_ID=$(python -c "import json;print('claim:' + json.load(open('$NAME.signed.json'))['signature']['signatureValue'])")
    echo "Claim ID: $CLAIM_ID"
    echo "Sending claim $NAME"
    docker run -it --network host -v $DIR:/claims ucli send /claims/$NAME.signed.json DUMMY --gateway https://local.userfeeds.io/api/storage/;
    sleep 3s
    curl "http://local.userfeeds.io:7474/db/data/transaction/commit" \
      -X POST \
      -H "Accept: application/json; charset=UTF-8" \
      -H "Content-Type: application/json" \
      -H "Authorization: Basic bmVvNGo6cGFzcw==" \
      -o "$NAME.neo4j.json" \
      -d "{\"statements\": [{\"statement\": \"MATCH (c:Claim {id: \\\"$CLAIM_ID\\\"})-[r]-(n) RETURN *\", \"resultDataContents\": [\"graph\"]}]}"


    echo "END $FILE"
done
